import const

def is_tile_neighbor(tile1, tile2):
    return ((abs(tile1[0] - tile2[0]), abs(tile1[1] - tile2[1])) in [(0, 1), (1, 0)])

def get_tile_at_xy(x, y):
    return (int(x / const.TILE_SIZE), int(y / const.TILE_SIZE))

def get_xy_at_tile(x, y):
    return (x * const.TILE_SIZE, y * const.TILE_SIZE)

def get_xy_at_tile_center(x, y):
    return (x * const.TILE_SIZE + const.TILE_SIZE / 2, y * const.TILE_SIZE + const.TILE_SIZE / 2)
